import * as src from './api';
export type SerializedSourceSlice<Chars extends string = string> = [
    chars: Chars,
    span: src.SerializedSourceSpan
];
export declare class SourceSlice<Chars extends string = string> {
    static synthetic<S extends string>(chars: S): SourceSlice<S>;
    static load(source: src.Source, slice: SerializedSourceSlice): SourceSlice;
    readonly chars: Chars;
    readonly loc: src.SourceSpan;
    constructor(options: {
        loc: src.SourceSpan;
        chars: Chars;
    });
    getString(): string;
    serialize(): SerializedSourceSlice<Chars>;
}
